GNU bug report logs - #12406
24.2.50; frame parameter `menu-bar-lines' and `menu-bar-mode'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Drew Adams" <drew.adams@HIDDEN>; dated Mon, 10 Sep 2012 18:01:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 12406 <at> debbugs.gnu.org:


Received: (at 12406) by debbugs.gnu.org; 13 Sep 2012 04:06:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 13 00:06:56 2012
Received: from localhost ([127.0.0.1]:58332 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TC0hb-0001ot-Jf
	for submit <at> debbugs.gnu.org; Thu, 13 Sep 2012 00:06:56 -0400
Received: from acsinet15.oracle.com ([141.146.126.227]:29402)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TC0hZ-0001ol-Je
	for 12406 <at> debbugs.gnu.org; Thu, 13 Sep 2012 00:06:54 -0400
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
	by acsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q8D461P0022418
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Thu, 13 Sep 2012 04:06:02 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q8D461cU021864
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Thu, 13 Sep 2012 04:06:01 GMT
Received: from abhmt116.oracle.com (abhmt116.oracle.com [141.146.116.68])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q8D460qC020798; Wed, 12 Sep 2012 23:06:00 -0500
Received: from dradamslap1 (/71.202.147.44)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 12 Sep 2012 21:06:00 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Stefan Monnier'" <monnier@HIDDEN>
References: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN><jwvd31ty5sc.fsf-monnier+emacs@HIDDEN><FAB49E1921834229B979C6FF2440C471@HIDDEN><50504320.7030908@HIDDEN><95E595BA09D247A9BD45F52A304A471B@HIDDEN><5050A571.3060809@HIDDEN><2642D1C71B064D30A09DABF179962841@HIDDEN>
	<jwvwqzyfw8g.fsf-monnier+emacs@HIDDEN>
Subject: RE: bug#12406: 24.2.50;
	frame parameter `menu-bar-lines' and `menu-bar-mode'
Date: Wed, 12 Sep 2012 21:05:57 -0700
Message-ID: <9F2CC237A7D44E1AAA9000F1C6B72180@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <jwvwqzyfw8g.fsf-monnier+emacs@HIDDEN>
Thread-Index: Ac2RXkciwAdhs8khQWGg6GTwjxQQxAABqu7w
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: 12406
Cc: 'martin rudalics' <rudalics@HIDDEN>, 12406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.3 (-------)

> >> Because this way we'd have a consistent interface: The 
> >> presence of a frame parameter would signal "leave this
> >> frame alone".
> >
> > That's inconsistent with the convention that absence of a frame
> > parameter is equivalent to its presence with a nil value.  It is
> > similar to proposing that we give some  special signification to the
> > absense of a key in an alist, as opposed to a key with value nil.
> 
> Agreed.  That means, all frames should have a `menu-bar-lines'
> parameter, set to `default' in most of them.

Sounds reasonable.  The devil might be in the details of what you want to do
with/about it.  But yes, that sounds like a start.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12406; Package emacs. Full text available.

Message received at 12406 <at> debbugs.gnu.org:


Received: (at 12406) by debbugs.gnu.org; 13 Sep 2012 03:18:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 12 23:18:08 2012
Received: from localhost ([127.0.0.1]:58298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TBzwO-0000ju-D3
	for submit <at> debbugs.gnu.org; Wed, 12 Sep 2012 23:18:08 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:15916)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TBzwL-0000jl-6A
	for 12406 <at> debbugs.gnu.org; Wed, 12 Sep 2012 23:18:06 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09FpYjU/2dsb2JhbABEsEiDSYEIghUBAQQBViMQCzQSFBgNJIgcBboJkEQDozOBWIMF
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="198217758"
Received: from 69-165-136-212.dsl.teksavvy.com (HELO pastel.home)
	([69.165.136.212])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	12 Sep 2012 23:17:14 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 2099C59445; Wed, 12 Sep 2012 23:17:13 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#12406: 24.2.50;
	frame parameter `menu-bar-lines' and `menu-bar-mode'
Message-ID: <jwvwqzyfw8g.fsf-monnier+emacs@HIDDEN>
References: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN>
	<jwvd31ty5sc.fsf-monnier+emacs@HIDDEN>
	<FAB49E1921834229B979C6FF2440C471@HIDDEN>
	<50504320.7030908@HIDDEN>
	<95E595BA09D247A9BD45F52A304A471B@HIDDEN>
	<5050A571.3060809@HIDDEN>
	<2642D1C71B064D30A09DABF179962841@HIDDEN>
Date: Wed, 12 Sep 2012 23:17:13 -0400
In-Reply-To: <2642D1C71B064D30A09DABF179962841@HIDDEN> (Drew Adams's
	message of "Wed, 12 Sep 2012 08:33:46 -0700")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12406
Cc: 'martin rudalics' <rudalics@HIDDEN>, 12406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>> Because this way we'd have a consistent interface: The presence of a
>> frame parameter would signal "leave this frame alone".
> That's inconsistent with the convention that absence of a frame
> parameter is equivalent to its presence with a nil value.  It is
> similar to proposing that we give some  special signification to the
> absense of a key in an alist, as opposed to a key with value nil.

Agreed.  That means, all frames should have a `menu-bar-lines'
parameter, set to `default' in most of them.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12406; Package emacs. Full text available.

Message received at 12406 <at> debbugs.gnu.org:


Received: (at 12406) by debbugs.gnu.org; 12 Sep 2012 18:03:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 12 14:03:07 2012
Received: from localhost ([127.0.0.1]:57499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TBrHF-000790-1x
	for submit <at> debbugs.gnu.org; Wed, 12 Sep 2012 14:03:06 -0400
Received: from rcsinet15.oracle.com ([148.87.113.117]:18772)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TBrHC-00078t-NT
	for 12406 <at> debbugs.gnu.org; Wed, 12 Sep 2012 14:03:04 -0400
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
	by rcsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q8CI2DHF020682
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 12 Sep 2012 18:02:13 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q8CI2Cep009883
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 12 Sep 2012 18:02:13 GMT
Received: from abhmt105.oracle.com (abhmt105.oracle.com [141.146.116.57])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q8CI2CT7000320; Wed, 12 Sep 2012 13:02:12 -0500
Received: from dradamslap1 (/130.35.178.248)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 12 Sep 2012 11:02:12 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'martin rudalics'" <rudalics@HIDDEN>
References: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN>	<jwvd31ty5sc.fsf-monnier+emacs@HIDDEN>
	<FAB49E1921834229B979C6FF2440C471@HIDDEN>
	<50504320.7030908@HIDDEN>
	<95E595BA09D247A9BD45F52A304A471B@HIDDEN>
	<5050A571.3060809@HIDDEN>
	<2642D1C71B064D30A09DABF179962841@HIDDEN>
	<5050BCC2.7040704@HIDDEN>
	<7CF8511D76154F9097C298DDF9611AFE@HIDDEN>
	<5050CC17.2090001@HIDDEN>
Subject: RE: bug#12406: 24.2.50;
	frame parameter `menu-bar-lines' and `menu-bar-mode'
Date: Wed, 12 Sep 2012 11:02:09 -0700
Message-ID: <C218294092DC4CCD852029158D6F57FB@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <5050CC17.2090001@HIDDEN>
Thread-Index: Ac2RD4QTiQ3Qaws9TLCuo40K3VyuzgAAFJdw
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: 12406
Cc: 'Stefan Monnier' <monnier@HIDDEN>, 12406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.3 (-------)

> > > I never understood things like `tool-bar-lines-needed'.
> >
> > Oddly enough, BTW, `tool-bar-lines-needed' does not seem to 
> > appear anywhere in the Emacs Lisp code!  It is defined in C
> > for Lisp, but is not used anywhere (in Emacs 24, at least).
> 
> I use it now for frame resizing.

Proof that in this case one need not understand it to make use of it! ;-)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12406; Package emacs. Full text available.

Message received at 12406 <at> debbugs.gnu.org:


Received: (at 12406) by debbugs.gnu.org; 12 Sep 2012 17:54:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 12 13:54:11 2012
Received: from localhost ([127.0.0.1]:57458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TBr8c-0006vc-HT
	for submit <at> debbugs.gnu.org; Wed, 12 Sep 2012 13:54:11 -0400
Received: from mailout-de.gmx.net ([213.165.64.23]:40773)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TBr8b-0006vV-0V
	for 12406 <at> debbugs.gnu.org; Wed, 12 Sep 2012 13:54:09 -0400
Received: (qmail invoked by alias); 12 Sep 2012 17:53:20 -0000
Received: from 62-47-58-95.adsl.highway.telekom.at (EHLO [62.47.58.95])
	[62.47.58.95]
	by mail.gmx.net (mp031) with SMTP; 12 Sep 2012 19:53:20 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/QhTdPLy/QaZ/ODFJzTTQLNdvLRvLXS0eAiLeUrK
	mHil5qjZdPHJ7o
Message-ID: <5050CC17.2090001@HIDDEN>
Date: Wed, 12 Sep 2012 19:53:27 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#12406: 24.2.50;
	frame parameter `menu-bar-lines' and `menu-bar-mode'
References: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN>	<jwvd31ty5sc.fsf-monnier+emacs@HIDDEN>
	<FAB49E1921834229B979C6FF2440C471@HIDDEN>
	<50504320.7030908@HIDDEN>
	<95E595BA09D247A9BD45F52A304A471B@HIDDEN>
	<5050A571.3060809@HIDDEN>
	<2642D1C71B064D30A09DABF179962841@HIDDEN>
	<5050BCC2.7040704@HIDDEN>
	<7CF8511D76154F9097C298DDF9611AFE@HIDDEN>
In-Reply-To: <7CF8511D76154F9097C298DDF9611AFE@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12406
Cc: 'Stefan Monnier' <monnier@HIDDEN>, 12406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> Oddly enough, BTW, `tool-bar-lines-needed' does not seem to appear anywhere in
> the Emacs Lisp code!  It is defined in C for Lisp, but is not used anywhere (in
> Emacs 24, at least).

I use it now for frame resizing.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12406; Package emacs. Full text available.

Message received at 12406 <at> debbugs.gnu.org:


Received: (at 12406) by debbugs.gnu.org; 12 Sep 2012 17:43:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 12 13:43:35 2012
Received: from localhost ([127.0.0.1]:57453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TBqyN-0006hR-HF
	for submit <at> debbugs.gnu.org; Wed, 12 Sep 2012 13:43:35 -0400
Received: from rcsinet15.oracle.com ([148.87.113.117]:33736)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TBqyL-0006hK-Vh
	for 12406 <at> debbugs.gnu.org; Wed, 12 Sep 2012 13:43:34 -0400
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
	by rcsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q8CHgjSl031472
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 12 Sep 2012 17:42:46 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q8CHgiKR005137
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 12 Sep 2012 17:42:45 GMT
Received: from abhmt105.oracle.com (abhmt105.oracle.com [141.146.116.57])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q8CHgiCl018762; Wed, 12 Sep 2012 12:42:44 -0500
Received: from dradamslap1 (/130.35.178.248)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 12 Sep 2012 10:42:43 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'martin rudalics'" <rudalics@HIDDEN>
References: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN>	<jwvd31ty5sc.fsf-monnier+emacs@HIDDEN>
	<FAB49E1921834229B979C6FF2440C471@HIDDEN>
	<50504320.7030908@HIDDEN>
	<95E595BA09D247A9BD45F52A304A471B@HIDDEN>
	<5050A571.3060809@HIDDEN>
	<2642D1C71B064D30A09DABF179962841@HIDDEN>
	<5050BCC2.7040704@HIDDEN>
Subject: RE: bug#12406: 24.2.50;
	frame parameter `menu-bar-lines' and `menu-bar-mode'
Date: Wed, 12 Sep 2012 10:42:43 -0700
Message-ID: <7CF8511D76154F9097C298DDF9611AFE@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <5050BCC2.7040704@HIDDEN>
Thread-Index: Ac2RBmEwZzlmIeKqRNGdhv9Zs7qkVAABHjww
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: 12406
Cc: 'Stefan Monnier' <monnier@HIDDEN>, 12406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.3 (-------)

> I never understood things like `tool-bar-lines-needed'.

I never even heard of it before.

But I'm not surprised that such things exist.  The Emacs tool bar has a history
of ugly little hacks and cruftiness.

Oddly enough, BTW, `tool-bar-lines-needed' does not seem to appear anywhere in
the Emacs Lisp code!  It is defined in C for Lisp, but is not used anywhere (in
Emacs 24, at least).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12406; Package emacs. Full text available.

Message received at 12406 <at> debbugs.gnu.org:


Received: (at 12406) by debbugs.gnu.org; 12 Sep 2012 16:48:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 12 12:48:53 2012
Received: from localhost ([127.0.0.1]:57305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TBq7Q-0005RH-Ff
	for submit <at> debbugs.gnu.org; Wed, 12 Sep 2012 12:48:53 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:46331)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TBq7O-0005R9-Jc
	for 12406 <at> debbugs.gnu.org; Wed, 12 Sep 2012 12:48:51 -0400
Received: (qmail invoked by alias); 12 Sep 2012 16:47:57 -0000
Received: from 62-47-58-95.adsl.highway.telekom.at (EHLO [62.47.58.95])
	[62.47.58.95]
	by mail.gmx.net (mp020) with SMTP; 12 Sep 2012 18:47:57 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/9dgAxgGX9YjinELvE2Pba608kuAU9vJyOPbbgRk
	FalR+MA3d9KHjg
Message-ID: <5050BCC2.7040704@HIDDEN>
Date: Wed, 12 Sep 2012 18:48:02 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#12406: 24.2.50;
	frame parameter `menu-bar-lines' and `menu-bar-mode'
References: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN>	<jwvd31ty5sc.fsf-monnier+emacs@HIDDEN>
	<FAB49E1921834229B979C6FF2440C471@HIDDEN>
	<50504320.7030908@HIDDEN>
	<95E595BA09D247A9BD45F52A304A471B@HIDDEN>
	<5050A571.3060809@HIDDEN>
	<2642D1C71B064D30A09DABF179962841@HIDDEN>
In-Reply-To: <2642D1C71B064D30A09DABF179962841@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12406
Cc: 'Stefan Monnier' <monnier@HIDDEN>, 12406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 >> Because this way we'd have a consistent interface: The presence of a
 >> frame parameter would signal "leave this frame alone".
 >
 > That's inconsistent with the convention that absence of a frame parameter is
 > equivalent to its presence with a nil value.  It is similar to proposing that we
 > give some  special signification to the absense of a key in an alist, as opposed
 > to a key with value nil.

You're probably right.

 > You are unnecessarily coupling things that do not belong together.  That's a bad
 > idea.  Whether a given parameter should be affected  by a given function is
 > logically unrelated to whether the parameter is currently present for a given
 > frame, and is logically unrelated to the parameter's current value for a given
 > frame.

Maybe.  I never understood things like `tool-bar-lines-needed'.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12406; Package emacs. Full text available.

Message received at 12406 <at> debbugs.gnu.org:


Received: (at 12406) by debbugs.gnu.org; 12 Sep 2012 15:34:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 12 11:34:41 2012
Received: from localhost ([127.0.0.1]:57237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TBoxc-0003hL-Uz
	for submit <at> debbugs.gnu.org; Wed, 12 Sep 2012 11:34:41 -0400
Received: from acsinet15.oracle.com ([141.146.126.227]:47739)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TBoxa-0003hE-Ih
	for 12406 <at> debbugs.gnu.org; Wed, 12 Sep 2012 11:34:39 -0400
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
	by acsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q8CFXnFm000544
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 12 Sep 2012 15:33:50 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q8CFXmIx005319
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 12 Sep 2012 15:33:48 GMT
Received: from abhmt103.oracle.com (abhmt103.oracle.com [141.146.116.55])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q8CFXljB015522; Wed, 12 Sep 2012 10:33:48 -0500
Received: from dradamslap1 (/130.35.178.248)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 12 Sep 2012 08:33:47 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'martin rudalics'" <rudalics@HIDDEN>
References: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN>	<jwvd31ty5sc.fsf-monnier+emacs@HIDDEN>
	<FAB49E1921834229B979C6FF2440C471@HIDDEN>
	<50504320.7030908@HIDDEN>
	<95E595BA09D247A9BD45F52A304A471B@HIDDEN>
	<5050A571.3060809@HIDDEN>
Subject: RE: bug#12406: 24.2.50;
	frame parameter `menu-bar-lines' and `menu-bar-mode'
Date: Wed, 12 Sep 2012 08:33:46 -0700
Message-ID: <2642D1C71B064D30A09DABF179962841@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <5050A571.3060809@HIDDEN>
Thread-Index: Ac2Q+HtjOyBUMX4qRf+FvLCSk3il+wAAif4g
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: 12406
Cc: 'Stefan Monnier' <monnier@HIDDEN>, 12406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.3 (-------)

>  >> IMHO it should update a frame iff that frame has no 
>  >> `menu-bar-lines' frame parameter.'
>  >
>  > Why?  Why shouldn't a user be ABLE to turn on/off showing 
>  > the menu bar in all existing frames?
> 
> Because this way we'd have a consistent interface: The presence of a
> frame parameter would signal "leave this frame alone".

That's inconsistent with the convention that absence of a frame parameter is
equivalent to its presence with a nil value.  It is similar to proposing that we
give some  special signification to the absense of a key in an alist, as opposed
to a key with value nil.

Please find another way to say "leave this frame alone".  That should not be
difficult, and it should be possible to find something that has general
applicability (i.e., any frames, any frame parameter, any function that affects
a frame parameter).

More precisely, we should be able to say "leave this frame alone for parameter
BLAH".  And even perhaps "make function FOO leave this frame alone for parameter
BLAH".  In this case, FOO is `menu-bar-mode' and BLAH is `menu-bar-lines'.

And this should be 100% orthogonal to the presence or absence of the parameter,
and 100% orthogonal to what the parameter's current value (nil or not) might be.

>  > One way or the other, we should find ways for users to 
>  > alternatively easily do that (affecting all existing
>  > frames) OR protect some frames from that toggling.
> 
> Do you have a practical use case where my proposal harms?

You are unnecessarily coupling things that do not belong together.  That's a bad
idea.  Whether a given parameter should be affected  by a given function is
logically unrelated to whether the parameter is currently present for a given
frame, and is logically unrelated to the parameter's current value for a given
frame.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12406; Package emacs. Full text available.

Message received at 12406 <at> debbugs.gnu.org:


Received: (at 12406) by debbugs.gnu.org; 12 Sep 2012 15:09:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 12 11:09:20 2012
Received: from localhost ([127.0.0.1]:57216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TBoZ5-00038E-KT
	for submit <at> debbugs.gnu.org; Wed, 12 Sep 2012 11:09:20 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:54838)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TBoZ2-000386-Ne
	for 12406 <at> debbugs.gnu.org; Wed, 12 Sep 2012 11:09:17 -0400
Received: (qmail invoked by alias); 12 Sep 2012 15:08:29 -0000
Received: from 62-47-37-217.adsl.highway.telekom.at (EHLO [62.47.37.217])
	[62.47.37.217]
	by mail.gmx.net (mp024) with SMTP; 12 Sep 2012 17:08:29 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1++t7VA8Cm+77EsyxBcSdS5iueXT0g335ARdgaVB5
	3Kc1OBpQv+oVsv
Message-ID: <5050A571.3060809@HIDDEN>
Date: Wed, 12 Sep 2012 17:08:33 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#12406: 24.2.50;
	frame parameter `menu-bar-lines' and `menu-bar-mode'
References: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN>	<jwvd31ty5sc.fsf-monnier+emacs@HIDDEN>
	<FAB49E1921834229B979C6FF2440C471@HIDDEN>
	<50504320.7030908@HIDDEN>
	<95E595BA09D247A9BD45F52A304A471B@HIDDEN>
In-Reply-To: <95E595BA09D247A9BD45F52A304A471B@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12406
Cc: 'Stefan Monnier' <monnier@HIDDEN>, 12406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 >> IMHO it should update a frame iff that frame has no `menu-bar-lines'
 >> frame parameter.'
 >
 > Why?  Why shouldn't a user be ABLE to turn on/off showing the menu bar in all
 > existing frames?

Because this way we'd have a consistent interface: The presence of a
frame parameter would signal "leave this frame alone".

 > One way or the other, we should find ways for users to alternatively easily do
 > that (affecting all existing frames) OR protect some frames from that toggling.

Do you have a practical use case where my proposal harms?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12406; Package emacs. Full text available.

Message received at 12406 <at> debbugs.gnu.org:


Received: (at 12406) by debbugs.gnu.org; 12 Sep 2012 14:14:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 12 10:14:46 2012
Received: from localhost ([127.0.0.1]:57125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TBniH-0001rn-D7
	for submit <at> debbugs.gnu.org; Wed, 12 Sep 2012 10:14:45 -0400
Received: from acsinet15.oracle.com ([141.146.126.227]:17002)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TBniF-0001rg-Ek
	for 12406 <at> debbugs.gnu.org; Wed, 12 Sep 2012 10:14:44 -0400
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
	by acsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q8CEDsPw027395
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 12 Sep 2012 14:13:55 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q8CEDrOZ029657
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 12 Sep 2012 14:13:53 GMT
Received: from abhmt116.oracle.com (abhmt116.oracle.com [141.146.116.68])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q8CEDqgM013673; Wed, 12 Sep 2012 09:13:52 -0500
Received: from dradamslap1 (/10.159.176.30)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 12 Sep 2012 07:13:52 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'martin rudalics'" <rudalics@HIDDEN>
References: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN>	<jwvd31ty5sc.fsf-monnier+emacs@HIDDEN>
	<FAB49E1921834229B979C6FF2440C471@HIDDEN>
	<50504320.7030908@HIDDEN>
Subject: RE: bug#12406: 24.2.50;
	frame parameter `menu-bar-lines' and `menu-bar-mode'
Date: Wed, 12 Sep 2012 07:13:45 -0700
Message-ID: <95E595BA09D247A9BD45F52A304A471B@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <50504320.7030908@HIDDEN>
Thread-Index: Ac2QveF+ycbDo8dESKyiZZQeJl4tqQAMnaEw
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: 12406
Cc: 'Stefan Monnier' <monnier@HIDDEN>, 12406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.3 (-------)

>  > A user should be able, as now,
>  > to set the mode and have it (1) update all existing frames
> 
> IMHO it should update a frame iff that frame has no `menu-bar-lines'
> frame parameter.'

Why?  Why shouldn't a user be ABLE to turn on/off showing the menu bar in all
existing frames?

One way or the other, we should find ways for users to alternatively easily do
that (affecting all existing frames) OR protect some frames from that toggling.

IOW, both should be possible and easy for the user to control interactively (not
just in Lisp; e.g., using a prefix arg or a different command).

>  > and (b) affect future
>  > frames by setting the default behavior, i.e., unless overridden.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12406; Package emacs. Full text available.

Message received at 12406 <at> debbugs.gnu.org:


Received: (at 12406) by debbugs.gnu.org; 12 Sep 2012 08:09:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 12 04:09:53 2012
Received: from localhost ([127.0.0.1]:55915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TBi1A-0000yX-US
	for submit <at> debbugs.gnu.org; Wed, 12 Sep 2012 04:09:53 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:41263)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TBi18-0000yO-44
	for 12406 <at> debbugs.gnu.org; Wed, 12 Sep 2012 04:09:51 -0400
Received: (qmail invoked by alias); 12 Sep 2012 08:09:04 -0000
Received: from 62-47-43-31.adsl.highway.telekom.at (EHLO [62.47.43.31])
	[62.47.43.31]
	by mail.gmx.net (mp012) with SMTP; 12 Sep 2012 10:09:04 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+vow0Wfx2vJwr1khhjyGsUs8JPEJqgpmMpg41gSv
	ran849aciG2L1h
Message-ID: <50504320.7030908@HIDDEN>
Date: Wed, 12 Sep 2012 10:09:04 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#12406: 24.2.50;
	frame parameter `menu-bar-lines' and `menu-bar-mode'
References: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN>	<jwvd31ty5sc.fsf-monnier+emacs@HIDDEN>
	<FAB49E1921834229B979C6FF2440C471@HIDDEN>
In-Reply-To: <FAB49E1921834229B979C6FF2440C471@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12406
Cc: 'Stefan Monnier' <monnier@HIDDEN>, 12406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 > A user should be able, as now,
 > to set the mode and have it (1) update all existing frames

IMHO it should update a frame iff that frame has no `menu-bar-lines'
frame parameter.

 > and (b) affect future
 > frames by setting the default behavior, i.e., unless overridden.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12406; Package emacs. Full text available.

Message received at 12406 <at> debbugs.gnu.org:


Received: (at 12406) by debbugs.gnu.org; 10 Sep 2012 21:41:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 10 17:41:57 2012
Received: from localhost ([127.0.0.1]:52881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TBBjx-0004ec-I4
	for submit <at> debbugs.gnu.org; Mon, 10 Sep 2012 17:41:57 -0400
Received: from acsinet15.oracle.com ([141.146.126.227]:51145)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TBBjv-0004eV-TT
	for 12406 <at> debbugs.gnu.org; Mon, 10 Sep 2012 17:41:56 -0400
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
	by acsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q8ALfG2N018254
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Mon, 10 Sep 2012 21:41:17 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q8ALfFb4003229
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Mon, 10 Sep 2012 21:41:16 GMT
Received: from abhmt117.oracle.com (abhmt117.oracle.com [141.146.116.69])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q8ALfFpX010414; Mon, 10 Sep 2012 16:41:15 -0500
Received: from dradamslap1 (/130.35.178.248)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Mon, 10 Sep 2012 14:41:15 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Stefan Monnier'" <monnier@HIDDEN>
References: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN>
	<jwvd31ty5sc.fsf-monnier+emacs@HIDDEN>
Subject: RE: bug#12406: 24.2.50;
	frame parameter `menu-bar-lines' and `menu-bar-mode'
Date: Mon, 10 Sep 2012 14:41:13 -0700
Message-ID: <FAB49E1921834229B979C6FF2440C471@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <jwvd31ty5sc.fsf-monnier+emacs@HIDDEN>
Thread-Index: Ac2PlG4ty2aFL4JkQ2eIlkqzksMobwABvRcw
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: 12406
Cc: 12406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.3 (-------)

> The core of the problem is that menu-bar-mode is global, whereas the
> presence/absence of a menu-bar is actually a frame property (and it's
> important to me that it be so, because I have some frames with
> a menu-bar and some without).

I agree.  The frame property should override what the mode claims - as it does.

> So `menu-bar-mode' is a lie.

That was my point.  Can we fix the doc a bit to provide a slightly clearer view
- e.g., mention that the frame parameter takes precedence?

It's OK to say that the mode affects existing and future frames, but for the
future part it should probably say "unless overridden by frame parameter
`menu-bar-lines'", or some such.  That's what I meant.

> One possible fix is to make menu-bar-mode into a frame-local mode,
> so calling menu-bar-mode would only affect the
> current frame (and maybe also the future frames) but not the other
> existing frames.

To me, that would be bad - not helpful at all.  A user should be able, as now,
to set the mode and have it (1) update all existing frames and (b) affect future
frames by setting the default behavior, i.e., unless overridden.

I personally have not needed to prevent the mode change from affecting any
particular frame.  But if you did need to have some existing frame prevent the
mode change from affecting it, then we could introduce a way to specify that.
E.g., a `menu-bar-lines' value of, say, a cons (N keep).  So a value of
(menu-bar-lines 1 keep)) would keep one line and be unaffected by mode changes.

Another possibility (orthogonal) would be to let the prefix arg of
`menu-bar-mode' do double duty, to optionally affect only the current frame.
Dunno.  But I would not want that command changed to systematically affect only
the current frame.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12406; Package emacs. Full text available.

Message received at 12406 <at> debbugs.gnu.org:


Received: (at 12406) by debbugs.gnu.org; 10 Sep 2012 20:40:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 10 16:40:25 2012
Received: from localhost ([127.0.0.1]:52814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TBAmP-0003FN-7A
	for submit <at> debbugs.gnu.org; Mon, 10 Sep 2012 16:40:25 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:35471)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TBAmN-0003FF-4z
	for 12406 <at> debbugs.gnu.org; Mon, 10 Sep 2012 16:40:23 -0400
Received: from faina.iro.umontreal.ca (lechon.iro.umontreal.ca
	[132.204.27.242])
	by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id q8AKdjVL023861;
	Mon, 10 Sep 2012 16:39:45 -0400
Received: by faina.iro.umontreal.ca (Postfix, from userid 20848)
	id 01405B4085; Mon, 10 Sep 2012 16:39:44 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#12406: 24.2.50;
	frame parameter `menu-bar-lines' and `menu-bar-mode'
Message-ID: <jwvd31ty5sc.fsf-monnier+emacs@HIDDEN>
References: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN>
Date: Mon, 10 Sep 2012 16:39:44 -0400
In-Reply-To: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN> (Drew Adams's
	message of "Mon, 10 Sep 2012 10:59:22 -0700")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: 12406
Cc: 12406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.9 (---)

> emacs -Q
> (setq special-display-frame-alist '((menu-bar-lines . 1))
>       special-display-regexps     '("[ ]?[*][^*]+[*]"))
> (menu-bar-mode 0)
> (describe-variable 'menu-bar-mode)
 
> You will see that:
 
> * Buffer *Help* is displayed in its own frame.
> * It says that menu-bar-mode is nil (which it is).
> * The frame has a menu bar.

The core of the problem is that menu-bar-mode is global, whereas the
presence/absence of a menu-bar is actually a frame property (and it's
important to me that it be so, because I have some frames with
a menu-bar and some without).

So `menu-bar-mode' is a lie.  One possible fix is to make menu-bar-mode
into a frame-local mode, so calling menu-bar-mode would only affect the
current frame (and maybe also the future frames) but not the other
existing frames.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12406; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Sep 2012 18:00:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 10 14:00:13 2012
Received: from localhost ([127.0.0.1]:52669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TB8HM-0007AV-NE
	for submit <at> debbugs.gnu.org; Mon, 10 Sep 2012 14:00:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60746)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TB8HJ-0007AN-Qa
	for submit <at> debbugs.gnu.org; Mon, 10 Sep 2012 14:00:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1TB8Gh-0007O7-TN
	for submit <at> debbugs.gnu.org; Mon, 10 Sep 2012 13:59:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI,
	UNPARSEABLE_RELAY autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:37457)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1TB8Gh-0007O1-PD
	for submit <at> debbugs.gnu.org; Mon, 10 Sep 2012 13:59:31 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53993)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1TB8Gg-0001lN-IS
	for bug-gnu-emacs@HIDDEN; Mon, 10 Sep 2012 13:59:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1TB8Ge-0007NS-CB
	for bug-gnu-emacs@HIDDEN; Mon, 10 Sep 2012 13:59:30 -0400
Received: from rcsinet15.oracle.com ([148.87.113.117]:16507)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1TB8Ge-0007Mh-5a
	for bug-gnu-emacs@HIDDEN; Mon, 10 Sep 2012 13:59:28 -0400
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
	by rcsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q8AHxOYM002574
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <bug-gnu-emacs@HIDDEN>; Mon, 10 Sep 2012 17:59:25 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q8AHxO8b008391
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <bug-gnu-emacs@HIDDEN>; Mon, 10 Sep 2012 17:59:24 GMT
Received: from abhmt107.oracle.com (abhmt107.oracle.com [141.146.116.59])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q8AHxNG6028695
	for <bug-gnu-emacs@HIDDEN>; Mon, 10 Sep 2012 12:59:23 -0500
Received: from dradamslap1 (/130.35.178.248)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Mon, 10 Sep 2012 10:59:23 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.2.50; frame parameter `menu-bar-lines' and `menu-bar-mode'
Date: Mon, 10 Sep 2012 10:59:22 -0700
Message-ID: <54FF7233AE2E4AF39FEC5B688D67341E@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
Thread-Index: Ac2PfgHwRTq4vEQfQYi6uArMzO135g==
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 1)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

emacs -Q
 
(setq special-display-frame-alist '((menu-bar-lines . 1))
      special-display-regexps     '("[ ]?[*][^*]+[*]"))
(menu-bar-mode 0)
(describe-variable 'menu-bar-mode)
 
You will see that:
 
* Buffer *Help* is displayed in its own frame.
* It says that menu-bar-mode is nil (which it is).
* The frame has a menu bar.
 
I'm not sure what should be done about this, but it is confusing, at the
least.  When the mode is disabled the menu bar is (generally) not
supposed to be present.  Command `menu-bar-mode' "applies to all frames
that exist and frames to be created in the future."  That strong
statement certainly does not match not the behavior in this case.
 
Of course, someone will argue, correctly, that when frame *Help* is
created that is done with an explicit `menu-bar-lines' setting, which
should override the mode behavior.  That's why I say that I'm not sure
what, if anything, should be done about this.  But the behavior is a bit
confusing.
 
I don't have any great suggestion.  Perhaps something more could be done
wrt the doc, at least.  For example, the doc string of the mode command
could perhaps mention the frame parameter, and vice versa, explaining
that the mode is overridden by the frame parameter.  The doc for
`menu-bar-mode' should perhaps not claim so strongly that it affects
all future frames, since that is clearly not so.
 
 
FYI -
 
This came up because I received a bug report that actually had to do
with the VERY OLD bug that trying to enlarge a frame with a wide menu
bar actually shrinks the frame (horizontally, vertically).
 
Suspecting that old bug, I tried to get a repro recipe.  The user turned
off menu-bar-mode as shown above, but the symptom persisted.  The user
didn't tell me that a menu bar was actually present, so it took a while
to figure out what the problem really was.
 
That OLD bug has never been fixed, though Emacs Dev has expressed a will
to fix it at various times.
 
Here are some references to this old bug:
 
1. Bug #456.
 
2. emacs-devel thread in 2006-06 and 2007-07: "frame parameter
   menu-bar-lines changes height of frame".
 
There were also older discussions than that, but I don't have pointers
to them.

I, for one, would like to see that old bug fixed.  I, like some others,
use keys to incrementally enlarge/shrink frames horizontally/vertically,
and whenever the frame width is less than the menu-bar width, the bug
rears its ugly head.
 
It is my wish that that longstanding bug be taken off the wishlist and
treated normally - and hopefully fixed finally.
 
In GNU Emacs 24.2.50.1 (i386-mingw-nt5.1.2600)
 of 2012-09-02 on MARVIN
Bzr revision: 109861 eggert@HIDDEN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.6) --no-opt --enable-checking --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include
 -ID:/devel/emacs/libs/libiconv-1.13.1-1-dev/include
 -ID:/devel/emacs/libs/libxml2-2.7.8/include/libxml2'
 





Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#12406; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.